/*  File: bs_.h
 *  Author: Jean Thierry-Mieg (mieg@mrc-lmba.cam.ac.uk)
 *  Copyright (C) J Thierry-Mieg and R Durbin, 1992
 *-------------------------------------------------------------------
 * This file is part of the ACEDB genome database package, written by
 * 	Richard Durbin (MRC LMB, UK) rd@mrc-lmba.cam.ac.uk, and
 *	Jean Thierry-Mieg (CRBM du CNRS, France) mieg@frmop11.bitnet
 *
 * Description: Packing unpacking kernel routines
 * Exported functions:
 * HISTORY:
 * Last edited: Mar 14 19:16 1992 (mieg)
 * Created: Tue Mar 10 03:40:07 1992 (mieg)
 *-------------------------------------------------------------------
 */

#ifndef DEFINE_BSTREE_h
#define DEFINE_BSTREE_h

 
void bsTreePrune      (CACHE_HANDLE bs) ; /* prunes bs and everything beyond from tree */
CACHE_HANDLE   bsTreeCopy       (CACHE_HANDLE bs) ;
void bsTreeDump       (CACHE_HANDLE bs) ;
CACHE_HANDLE   bsTreeGet        (KEY key) ;
void bsTreeStore      (CACHE_HANDLE bs) ;  /* implies destruction since fools the tree */

#endif
